List Webhooks

GET /workspaces/{slug}/schemas/{schemaKey}/webhooks

Returns webhooks scoped by schema and environment.

Path Parameters

slug string required
schemaKey string required

Query Parameters

env "production" | "staging" | "development"

Environment slug. Defaults to production.

page integer
pageSize integer
curl -X GET \
-H "x-api-key: dsk_your_api_key" \
https://api.tracore.io/workspaces/my-workspace/schemas/invoice/webhooks?env=production
import { TracoreClient } from '@tracore/sdk';

const client = new TracoreClient({ apiKey: 'dsk_your_api_key' });

const { data } = await client.webhooks.list('my-workspace', 'invoice');
console.log(data);
200 Response
{
  "total": 1,
  "page": 1,
  "pageSize": 20,
  "data": [
    {
      "id": "ws_abc123",
      "environmentId": "env_abc123",
      "schemaFamilyId": "sf_abc123",
      "url": "https://example.com/webhook",
      "events": [
        "document.received"
      ],
      "isActive": true,
      "secret": "whsec_abc123...",
      "createdAt": "2024-03-15T10:30:00Z",
      "updatedAt": "2024-03-15T10:30:00Z"
    }
  ]
}